// 时间戳转换为年月日时分秒
export const timesTampChange = (timestamp) => {
  const date = new Date(timestamp)
  const Y = date.getFullYear() + '-'
  const M = (date.getMonth() + 1).toString().padStart(2, '0') + '-'
  const D = date.getDate().toString().padStart(2, '0') + ' '

  const h = date.getHours().toString().padStart(2, '0') + ':'
  const m = date.getMinutes().toString().padStart(2, '0') + ':'
  const s = date.getSeconds().toString().padStart(2, '0')
  const strDate = Y + M + D + h + m + s
  return strDate
}

// 将 Wed May 01 2024 00:00:00 GMT+0800 (中国标准时间) 转换为时间戳
export const getTimeStamp = (str) => {
  const date = new Date(str)
  return date.getTime()
}